SYMPA_NEWALIASES(1)

NAME
sympa_newaliases, sympa_newaliases.pl - Alias database maintenance

SYNOPSIS
  sympa_newaliases.pl --domain=dom.ain

DESCRIPTION
sympa_newaliases is a program to maintain alias database.

It is typically called by alias_manager(8) via sympa_newaliases-wrapper, then updates alias database.

OPTIONS
sympa_newaliases.pl may run with following options.

--domain=domain
    Name of virtual robot on which aliases will be updated.

-f, --config=file
    Force sympa_newaliases to use an alternative configuration file instead of /var/sympa/etc/sympa.conf.

-h, --help
    Print this help message.

CONFIGURATION PARAMETERS
Following site configuration parameters in /var/sympa/etc/sympa.conf will be referred. They may be overridden by robot.conf of each virtual robot.

sendmail_aliases
    Source text of alias database.

    Default value is /var/sympa/sympa_aliases.

aliases_program
    System command to update alias database. Possible values are:

    "makemap"
        Sendmail makemap utility.

    "newaliases"
        newaliases(1) or compatible utility.

    "postalias"
        Postfix postalias(1) utility.

    "postmap"
        Postfix postmap(1) utility.

    Full path
        Full path to executable file. File will be invoked with the value of "sendmail_aliases" as an argument.

    Default value is "newaliases".

aliases_db_type
    Type of alias database. This is meaningful when value of "aliases_program" parameter is "makemap", "postalias" or "postmap".

    Possible values will be vary by system commands. For example, "postalias" and "postmap" can support any of "btree", "cdb", "dbm", "hash" and "sdbm".

    Default value is "hash".

RETURN VALUE
Returns with exit code 0. If invoked system command failed, returns with its exit code. On other failures, returns with 1.

FILES

/var/sympa/etc/sympa.conf
    Sympa site configuration.

/usr/local/libexec/sympa/sympa_newaliases-wrapper
    Set UID wrapper for sympa_newaliases.pl.

HISTORY
sympa_newaliases.pl appeared on Sympa 6.1.18. It was initially written by IKEDA Soji <ikeda@conversion.co.jp>.

SEE ALSO
alias_manager(8).